Package ru.bitel.bgbilling.kernel.contract.autopayment.common.bean

# Class ContractAutopaymentMode

java.lang.Object
ru.bitel.bgbilling.kernel.contract.autopayment.common.bean.ContractAutopaymentMode

Direct Known Subclasses:
  `ContractAutopaymentMode.ContractAutopaymentModeAuto`, `ContractAutopaymentMode.ContractAutopaymentModePeriodic`

public abstract class ContractAutopaymentMode extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ContractAutopaymentMode.ContractAutopaymentModeAuto`
  `static class`
  `ContractAutopaymentMode.ContractAutopaymentModePeriodic`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractAutopaymentMode()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ContractAutopaymentMode`
  `fromAutopayment(Autopayment autopayment)`
  `static ContractAutopaymentMode`
  `getContractAutopaymentMode(ParameterMap moduleSetup, String prefix, ParameterMap defaultSetup, Autopayment autopayment)`
  Получение режима из Autopayment.
  `AutopaymentMode`
  `getMode()`
  `void`
  `setMode(AutopaymentMode mode)`
  `void`
  `toAutopayment(Autopayment autopayment)`
  `String`
  `toData()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractAutopaymentMode

    public ContractAutopaymentMode()

- ## Method Details

  - ### getMode

    public AutopaymentMode getMode()

  - ### setMode

    public void setMode(AutopaymentMode mode)

  - ### toData

    public String toData()

  - ### toAutopayment

    public void toAutopayment(Autopayment autopayment)

  - ### getContractAutopaymentMode

    public static ContractAutopaymentMode getContractAutopaymentMode(ParameterMap moduleSetup, String prefix, ParameterMap defaultSetup, Autopayment autopayment)
    Получение режима из Autopayment.
    Parameters:
      `moduleSetup` -
      `prefix` -
      `defaultSetup` -
      `autopayment` -
    Returns:

  - ### fromAutopayment

    public static ContractAutopaymentMode fromAutopayment(Autopayment autopayment)